flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sean Owen <sro...@gmail.com>
Subject Re: [DISCUSS] Dropping Scala 2.10
Date Tue, 19 Sep 2017 10:29:05 GMT
For the curious, here's the overall task in Spark:

https://issues.apache.org/jira/browse/SPARK-14220

and  most of the code-related changes:

https://github.com/apache/spark/pull/18645

and where it's stuck at the moment:

https://mail-archives.apache.org/mod_mbox/spark-dev/201709.mbox/%3CCAMAsSdKe7Os80mX7jYaD2vNWLGWioBgCb4GG55eaN_iotFxZvw%40mail.gmail.com%3E



On Tue, Sep 19, 2017 at 11:07 AM Márton Balassi <balassi.marton@gmail.com>
wrote:

> Hi Aljoscha,
>
> I am in favor of the change. No concerns on my side, just one remark that
> I have talked to Sean last week (ccd) and he mentioned that he has faced
> some technical issues while driving the transition from 2.10 to 2.12 for
> Spark. It had to do with changes in the scope of implicits. You might end
> up hitting the same.
>
> Best,
> Marton
>
> On Tue, Sep 19, 2017 at 11:56 AM, Aljoscha Krettek <aljoscha@apache.org>
> wrote:
>
>> Hi,
>>
>> Talking to some people I get the impression that Scala 2.10 is quite
>> outdated by now. I would like to drop support for Scala 2.10 and my main
>> motivation is that this would allow us to drop our custom Flakka build of
>> Akka that we use because newer Akka versions only support Scala 2.11/2.12
>> and we need a backported feature.
>>
>> Are there any concerns about this?
>>
>> Best,
>> Aljoscha
>
>
>

Mime
View raw message